Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface ServiceBrokerControl

All Superinterfaces:
  ServiceControl, ServiceProxy

    public interface ServiceBrokerControl

extends ServiceControl

Allows web service based invocation of a one Jpd (service) from another Jpd (client) over the wire. The web service standards supported by Service Broker Control are the same as during 8.x WLI release. WARNING: Do not use this control to invoke external (non-BEA and BEA JWSes) web services. Use the Web Service Control instead. WARNING: If you wish to use the latest web services standards when invoking one Jpd from another Jpd over the wire, the preferred mechanism is to front end the Jpd with a Jws and invoke the Jws using the Web Service Control.

Nested Class Summary
`static interface` | `ServiceBrokerControl.Timeout` The timeout specifies the time for which the client waits for a response from the server once it has sent the request.

Method Summary
`com.bea.wli.control.dynamicProperties.ServiceBrokerControlPropertiesDocument` | `getProperties()` Returns the current control properties.
`void` | `setProperties(com.bea.wli.control.dynamicProperties.ServiceBrokerControlPropertiesDocument props)` This method sets the control properties dynamically.

Methods inherited from interface com.bea.control.classic.ServiceControl
`getConversationID, getEndPoint, getInputHeaders, getPassword, getProtocol, getReliableMessageID, getTimeout, getUsername, reset, setClientCert, setConversationID, setEndPoint, setKeystore, setKeystore, setOutputHeaders, setPassword, setProtocol, setReliableMessageID, setTimeout, setUsername, useClientKeySSL`

Method Detail

### setProperties

    void setProperties(com.bea.wli.control.dynamicProperties.ServiceBrokerControlPropertiesDocument props)
                       throws Exception

  This method sets the control properties dynamically. Properties set by this method over-ride the static annotations.

  Parameters:
    `props` - control properties
  Throws:
    `Exception`

### getProperties

    com.bea.wli.control.dynamicProperties.ServiceBrokerControlPropertiesDocument getProperties()

  Returns the current control properties. Note that this includes all properties except security-related settings like username/password, keyAlias/keyPassword and keyStoreLocation/keyStorePassword.

  Returns:
    the properties

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD